Updating Veeam Backup Agents

In Veeam Service Provider Console, you can initiate update of Veeam backup agents on client computers.

For example, you may need to perform the update procedure if computers in the client infrastructure already have Veeam backup agents installed, but the software version is not supported by Veeam Service Provider Console. To be able to manage Veeam backup agents in Veeam Service Provider Console, you must update the software to the supported version.

The update procedure works as follows:

  1. Veeam Service Provider Console periodically connects to the Veeam Installation Server (over the Internet), and checks whether a new version of the Veeam backup agent software is available.
  2. If a new software version is available for managed Veeam backup agents, Veeam Service Provider Console displays warnings next to these Veeam backup agent saying that the backup agent version is outdated.

Required Privileges

To perform this task, a user must have one of the following roles assigned: Portal Administrator, Site Administrator, Portal Operator.

Checking Whether New Veeam Backup Agent Version is Available

To check whether a newer software version is available for managed Veeam backup agents:

  1. Log in to Veeam Service Provider Console.

For details, see Accessing Veeam Service Provider Console.

  1. In the menu on the left, click Discovery.
    1. Open the Discovered Backup Agents tab.
    2. To display all Veeam backup agents that you can update, click Filter, in the Agent version section select Out-of-date, and click Apply.

    Otherwise, you can sort Veeam backup agents in the list by values in the Backup Agent Version column. For Veeam backup agents that can be updated, the column displays a warning icon with the Out-of-date value.

    Check Backup Agent Version

    Veeam Service Provider Console offers the following methods for updating Veeam backup agents:

I want to report a typo

There is a misspelling right here:

 

I want to let the Veeam Documentation Team know about that.